//
//  MAAddMediaSheet.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/11/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface MAAddMediaSheet : NSWindowController {
    IBOutlet NSMenu *   dateFormatMenu;
}

@property (readonly) NSArray *      media;
@property (readonly) NSArray *      dateFormats;
@property (assign)   NSDictionary * selectedDateFormat;

- (void)runWithParentWindow:(NSWindowController *)parent media:(NSArray *)urls;

- (IBAction)useModificationDates:(id)sender;
- (IBAction)useFileNameDates:(id)sender;

@end
