//
//  MAColorForTag.mm
//  Medianno
//
//  Created by Matthias Neeracher on 8/20/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import "MAColorForTag.h"
#import "MATagDescription.h"

@implementation MAColorForTag

+ (Class)transformedValueClass 
{ 
    return [NSColor class]; 
}

+ (BOOL)allowsReverseTransformation
{ 
    return NO; 
}

- (id)transformedValue:(id)value 
{
    if ([[value uses] count] > 0)
        return [NSColor blackColor];
    else
        return [NSColor lightGrayColor];
}

@end
