//
//  MAColorForURL.mm
//  Medianno
//
//  Created by Matthias Neeracher on 8/18/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import "MAColorForURL.h"

#import <QTKit/QTKit.h>

@implementation MAColorForURL

+ (Class)transformedValueClass 
{ 
    return [NSColor class]; 
}

+ (BOOL)allowsReverseTransformation
{ 
    return NO; 
}

- (id)transformedValue:(id)value 
{
    NSURL * mediaURL = [NSURL URLWithString:value];
    if ([QTMovie canInitWithURL:mediaURL])
        return [NSColor blackColor];
    else
        return [NSColor redColor];
}

@end
