//
//  MADragging.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/21/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "MADocWindow.h"
#import "MATagWindow.h"
#import "MAAppController.h"

@interface MADocWindow (Dragging)

- (void)registerOurDragTypes;
- (BOOL)canPaste;

- (IBAction)cut:(id)sender;
- (IBAction)copy:(id)sender;
- (IBAction)paste:(id)sender;

@end

@interface MATagWindow (Dragging) <NSTableViewDataSource>

- (void)registerOurDragTypes;

- (IBAction)cut:(id)sender;
- (IBAction)copy:(id)sender;

@end
