//
//  MAAppController.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/11/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@class MAMovieWindow;
@class MATagWindow;

typedef void (^MASheetBlock)(NSInteger returnCode);

@interface NSApplication (SheetAdditions)

- (void)beginSheet: (NSWindow *)sheet modalForWindow:(NSWindow *)docWindow didEndBlock: (MASheetBlock)block;

@end

@interface MAAppController : NSObject <NSApplicationDelegate> {
}

@property (assign) IBOutlet MAMovieWindow * moviePanel;
@property (assign) IBOutlet MATagWindow *   tagPanel;

@end
