//
//  MAMedia.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/10/11.
//  Copyright (c) 2011 Matthias Neeracher. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
#import <QTKit/QTKit.h>

@class MAAnno, MADocument;

@interface MAMedia : NSManagedObject {
@private
    QTMovie * cachedMovie;
}
@property (nonatomic, retain) NSString * media;
@property (nonatomic, retain) NSString * name;
@property (nonatomic) NSTimeInterval date;
@property (nonatomic, retain) NSString * notes;
@property (nonatomic, retain) NSSet *annotations;
@property (nonatomic) int64_t   size;

- (MAMedia *)copyToDocument:(MADocument *)doc withMedia:(MAMedia *)media;

@end

@interface MAMedia (CoreDataGeneratedAccessors)

- (void)addAnnotationsObject:(MAAnno *)value;
- (void)removeAnnotationsObject:(MAAnno *)value;
- (void)addAnnotations:(NSSet *)values;
- (void)removeAnnotations:(NSSet *)values;
@end
