//
//  MAMovieWindow.m
//  Medianno
//
//  Created by Matthias Neeracher on 8/19/11.
//  Copyright 2011 Matthias Neeracher. All rights reserved.
//

#import "MAMovieWindow.h"
#import "MADocWindow.h"

@implementation MAMovieWindow

- (id)init
{
    self              = [super initWithWindowNibName:@"MAMovie"];
    
    return self;
}

- (void)windowDidLoad
{
    [super windowDidLoad];
}

- (BOOL)shouldDisplayMovie:(QTMovie *)movie withTitle:(NSString *)title
{
    if ([self isWindowLoaded] && [[self window] isVisible]) {
        [panelMovieView setMovie:movie];
        [[self window] setTitle:title];
        return YES;
    } else {
        [panelMovieView setMovie:nil];
        [[self window] setTitle:@""];
        return NO;
    }
}

- (IBAction)toggleWindow:(id)sender
{
    if ([self isWindowLoaded] && [[self window] isVisible]) {
        [self close];
    } else {
        [[self window] orderFront:sender];
        [[[NSApp mainWindow] windowController] moviePanelDidAppear];
    }
}

- (void)windowWillClose:(NSNotification *)notification
{
    [[[NSApp mainWindow] windowController] moviePanelDidClose];    
}

@end

@implementation MAMovieWin

- (BOOL)canBecomeKeyWindow
{
    return NO;
}

@end