//
//  MATagDescription.h
//  Medianno
//
//  Created by Matthias Neeracher on 8/10/11.
//  Copyright (c) 2011 Matthias Neeracher. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class MATag;
@class MADocument;
@class MAMedia;

@interface MATagDescription : NSManagedObject {
@private
}
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * notes;
@property (nonatomic, retain) NSSet *uses;

- (NSString *)exportText;
- (MATagDescription *)copyToDocument:(MADocument *)doc withMedia:(MAMedia *)media;

@end

@interface MATagDescription (CoreDataGeneratedAccessors)

- (void)addUsesObject:(MATag *)value;
- (void)removeUsesObject:(MATag *)value;
- (void)addUses:(NSSet *)values;
- (void)removeUses:(NSSet *)values;
@end
